## ktp-kded-integration-module 0.4.0

=== config/CMakeLists.txt ===
set(kcm_ktp_integration_module_SRCS
        column-resizer.cpp
        telepathy-kded-config.cpp
        nowplaying-lineedit.cpp
        nowplaying-listwidget.cpp
)

set(kcm_ktp_integration_module_UI
    telepathy-kded-config.ui
)

kde4_add_ui_files(kcm_ktp_integration_module_SRCS ${kcm_ktp_integration_module_UI})

kde4_add_plugin(kcm_ktp_integration_module
                    ${kcm_ktp_integration_module_SRCS})

target_link_libraries(kcm_ktp_integration_module ${KDE4_KDECORE_LIBS}
                                                       ${KDE4_KDEUI_LIBS}
                                                       ${KDE4_KCMUTILS_LIBS}
                                                       ${KDE4_KIO_LIBS}
)


install(TARGETS kcm_ktp_integration_module
        DESTINATION ${PLUGIN_INSTALL_DIR})

install (FILES kcm_ktp_integration_module.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

## ktp-kded-integration-module 0.3.1

=== debian/changelog ===
ktp-kded-integration-module (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release
  * Remove fix_desktop_file.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 12:57:25 +0100

ktp-kded-integration-module (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package, based on Debian unreleased package

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 13 Feb 2012 22:52:05 +0530

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module

Package: kde-telepathy-integration-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Plasma Desktop
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-integration-module-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-integration-module (= ${binary:Version}), ${misc:Depends}
Description: Telepathy integration module for the KDE Plasma Desktop - debug symbols
 This package provides the debug symbols for the KDE Telepathy integration module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-integration-module-dbg

## ktp-kded-integration-module 0.4.0

=== debian/changelog ===
ktp-kded-integration-module (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:22:26 +0300

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

Package: kde-telepathy-integration-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-integration-module-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-integration-module (= ${binary:Version}), ${misc:Depends}
Description: Telepathy integration module for the KDE Workspace - debug symbols
 This package provides the debug symbols for the KDE Telepathy
 integration module.

## ktp-kded-integration-module 0.5.1

=== debian/changelog ===
ktp-kded-integration-module (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:38:30 +0530

ktp-kded-integration-module (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:45:03 +0530

ktp-kded-integration-module (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Dropped 01_no_kcmutils_dep.diff - went upstream

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 18:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-kded-integration-module
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0)
+ libktpcommoninternalsprivate-dev (>= 0.5.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-kded-integration-module-([\d.]+).tar.bz2

## ktp-kded-integration-module 0.5.2.1

=== debian/changelog ===
ktp-kded-integration-module (0.5.2.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:29:03 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

## ktp-kded-integration-module 0.6.1

=== debian/changelog ===
ktp-kded-integration-module (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:32:41 +0100

ktp-kded-integration-module (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:15:40 +0100

ktp-kded-integration-module (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:28:32 +0000

ktp-kded-integration-module (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 17:07:30 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

## ktp-kded-integration-module 0.6.3

=== debian/changelog ===
ktp-kded-integration-module (0.6.3-0ubuntu0.1) raring-proposed; urgency=low

  * No-change backport to raring (LP: #1208837)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 Aug 2013 09:27:22 +0530

ktp-kded-integration-module (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 22:07:21 +0800

ktp-kded-integration-module (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:51:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0)
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

## ktp-kded-integration-module 0.7.0

=== debian/changelog ===
ktp-kded-integration-module (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Bump ktp-common-internals and kde-telepathy-data dependencies to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:14:18 -0800

ktp-kded-integration-module (0.6.3-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * drop patch 01_no_kcmutils_dep.diff

  [ Diane Trout ]
  * Imported Upstream version 0.6.1
  * Bump ktp-common-internals and kde-telepathy-data dependencies to 0.6.2.
  * Bump libtelepathy-qt4-dev depenency to 0.9.3
  * Set Uploaders to Diane Trout and Michał Zając
  * Update Standards-Version to 3.9.4. No changes needed.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:53:10 +1000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-kded-integration-module
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.1),
+ libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
-Standards-Version: 3.9.3
+ libktpcommoninternalsprivate-dev (>= 0.7.0)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
 
 Package: kde-telepathy-integration-module
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
 Recommends: kde-telepathy
 Description: Telepathy integration module for the KDE Workspace
  This package contains a kded module that provides KDE Workspace

## ktp-kded-integration-module 0.8.0

=== CMakeLists.txt ===
project(ktp-kded-integration-module)

set(KTP_CONTACT_LIST_VERSION "0.8.0")

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
find_package (KDE4 REQUIRED)
find_package (TelepathyQt4 0.8.9 REQUIRED)
find_package (KTp REQUIRED)

# set some default settings
include (KDE4Defaults)

# Add an option for building tests
option(ENABLE_TESTS "Enable compilation of tests" FALSE)

# make some more macros available
include (MacroLibrary)

add_definitions (${KDE4_DEFINITIONS}
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)

include_directories (${KDE4_INCLUDES}
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
                     ${KTP_INCLUDE_DIR}
)

set (kded_ktp_integration_module_SRCS
     contact-cache.cpp
     contact-request-handler.cpp
     telepathy-kded-module-plugin.cpp
     telepathy-module.cpp
     autoaway.cpp
     telepathy-mpris.cpp
     autoconnect.cpp
     error-handler.cpp
     contactnotify.cpp
     screensaveraway.cpp
)

kde4_add_plugin (kded_ktp_integration_module
                 ${kded_ktp_integration_module_SRCS}
)

target_link_libraries (kded_ktp_integration_module
                       ${KDE4_KDECORE_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
                       ${KTP_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIDLETIME_LIBRARY}
                       ${KDE4_SOLID_LIBS}
                       ${QT_QTSQL_LIBRARIES}
)

install (TARGETS kded_ktp_integration_module
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

install (FILES kded_ktp_integration_module.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}/kded
)

find_file(DBUS_SEND_PATH dbus-send HINTS /usr/bin)
configure_file(org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

add_subdirectory(config)

if(ENABLE_TESTS)
    add_subdirectory(tests)
endif()
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== tests/CMakeLists.txt ===

set(contactcache_test_SRCS
    ../contact-cache.cpp
    contact-cache-main.cpp
)

###

kde4_add_executable(contact-cache
    ${contactcache_test_SRCS}
)

target_link_libraries(contact-cache
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${TELEPATHY_QT4_LIBRARIES}
  ${KTP_LIBRARIES}
)

=== debian/changelog ===
ktp-kded-integration-module (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 13:03:58 +0200

ktp-kded-integration-module (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:14:58 +0100

ktp-kded-integration-module (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-kded-integration-module
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.7.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.0)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-kded-integration-module-([\d.]+).tar.bz2

## ktp-kded-integration-module 0.8.1

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== po/sl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-kded-integration-module (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:33:20 +0200

ktp-kded-integration-module (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:19:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.0)
+ libktpcommoninternalsprivate-dev (>= 0.8.1)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-integration-module-dbg --list-missing

override_dh_auto_configure:
	dh_auto_configure -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

## ktp-kded-integration-module 0.9.0

=== debian/changelog ===
ktp-kded-integration-module (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump telepathy-qt build-dep to 0.9.5
  * Bump libktpcommoninternalsprivate build-dep to 0.9.0
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update copyright file.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:06:27 -0700

ktp-kded-integration-module (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update ktp-common-internals and kde-telepathy-data dependencies to 0.8.1
  * Update debian/changelog

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:04:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktp-kded-integration-module
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.3),
+ libtelepathy-qt4-dev (>= 0.9.5),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.1)
-Standards-Version: 3.9.4
+ libktpcommoninternalsprivate-dev (>= 0.9.0)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
 
 Package: kde-telepathy-integration-module
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
 Recommends: kde-telepathy
 Description: Telepathy integration module for the KDE Workspace
  This package contains a kded module that provides KDE Workspace

=== debian/watch ===
version=3
http://download.kde.org/stable/kde-telepathy/([\d.]+)/src/ktp-kded-integration-module-([\d.]+).tar.(?x:bz2|xz)

## ktp-kded-integration-module 15.08.3

=== debian/changelog ===
ktp-kded-integration-module (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 23:01:00 -0800

ktp-kded-integration-module (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTp's move to Applications.
  * New upstream release.
  * Update copyright file.
    - Add LGPL-2 block
    - Remove po/* block
  * Update build-dpends for change to KF5 and rename
    libktpcommoninternalsprivate-dev to libktp-dev
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
    - Update plugins path to qt5/plugins.
  * Add KDE's unstable download url to watch file

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:58:43 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,28 @@
 Source: ktp-kded-integration-module
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.5),
- kdelibs5-dev (>= 4:4.6),
+ libtelepathy-qt5-dev (>= 0.9.5),
+ libtelepathy-logger-qt-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.9.0)
+ extra-cmake-modules (>= 1.3.0),
+ kio-dev,
+ libktp-dev (>= 15.04),
+ libkf5dbusaddons-dev,
+ libkf5widgetsaddons-dev,
+ libkf5config-dev,
+ libkf5i18n-dev,
+ libkf5notifications-dev,
+ libkf5configwidgets-dev,
+ libkf5idletime-dev,
+ libkf5kcmutils-dev,
+ libkf5wallet-dev,
+ qtbase5-dev,
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
+Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-integration-module-dbg

override_dh_install:
	$(overridden_command) --fail-missing

#override_dh_auto_configure:
#	dh_auto_configure -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-kded-module-([\d.]+).tar.(?x:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-kded-module-([\d.]+).tar.(?x:bz2|xz)

## ktp-kded-integration-module 15.12.1

=== CMakeLists.txt ===
project(ktp-kded-integration-module)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "1")
set(KTP_KDED_MODULE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package (Qt5 REQUIRED COMPONENTS Concurrent Widgets Sql Network)
find_package (KF5 REQUIRED COMPONENTS DBusAddons WidgetsAddons Config I18n KIO Notifications ConfigWidgets IdleTime KCMUtils)

find_package (KTp REQUIRED)

# Add an option for building tests
option(ENABLE_TESTS "Enable compilation of tests" FALSE)

add_definitions (-DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
                 -DTRANSLATION_DOMAIN=\"kded_ktp_integration_module\"
)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (kded_ktp_integration_module_SRCS
     ktp_kded_debug.cpp
     contact-cache.cpp
     contact-request-handler.cpp
     telepathy-kded-module-plugin.cpp
     telepathy-module.cpp
     autoaway.cpp
     telepathy-mpris.cpp
     status-handler.cpp
     autoconnect.cpp
     error-handler.cpp
     contactnotify.cpp
     screensaveraway.cpp
)

add_library (kded_ktp_integration_module MODULE ${kded_ktp_integration_module_SRCS}
)

target_link_libraries (kded_ktp_integration_module
                       KTp::CommonInternals
                       KTp::Widgets
                       KF5::DBusAddons
                       KF5::ConfigGui
                       KF5::ConfigCore
                       KF5::I18n
                       KF5::Notifications
                       KF5::IdleTime
                       KF5::KIOWidgets
                       KF5::WidgetsAddons
                       ${TELEPATHY_QT5_LIBRARIES}
                       Qt5::Concurrent
                       Qt5::Sql
                       Qt5::Network
)

install (TARGETS kded_ktp_integration_module
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

install (FILES ktp_integration_module.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}/kded
)

find_file(DBUS_SEND_PATH dbus-send HINTS /usr/bin)
configure_file(org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

add_subdirectory(config)

if(ENABLE_TESTS)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
ktp-kded-integration-module (4:15.12.1-2ubuntu2) xenial; urgency=medium

  * Add the missing epoch back

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 11 Mar 2016 00:41:24 +0100

ktp-kded-integration-module (15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:21:53 +0100

ktp-kded-integration-module (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 23:26:43 +0100

ktp-kded-integration-module (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.08.2).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:14 +0100

ktp-kded-module (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:51:56 +0100

ktp-kded-module (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:32:58 +0100

ktp-kded-module (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:42:42 +0100

ktp-kded-module (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:19:24 +0100

ktp-kded-module (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 18:59:03 +0200

ktp-kded-integration-module (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:02 +0100

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5idletime-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libktp-dev (>= 15.12~),
               libtelepathy-qt5-dev (>= 0.9.5),
               libtelepathy-logger-qt-dev,
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-kded-integration-module.git

Package: kde-telepathy-integration-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-integration-module-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

#override_dh_auto_configure:
#	dh_auto_configure -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-kded-module-([\d.]+)\.tar\.(?x:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-kded-module-([\d.]+)\.tar\.(?x:bz2|xz)

## ktp-kded-integration-module 16.04.3

=== debian/changelog ===
ktp-kded-integration-module (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:40 +0200

ktp-kded-integration-module (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing epoch to libkt-dev build depend. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:11:31 -0700

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5idletime-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libktp-dev (>= 4:16.04.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module

Package: kde-telepathy-integration-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-kded-integration-module 16.12.3

=== debian/changelog ===
ktp-kded-integration-module (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:16 +0000

ktp-kded-integration-module (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:11:54 +0000

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5idletime-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:16.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module

Package: kde-telepathy-integration-module
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-kded-integration-module 17.04.3

=== debian/changelog ===
ktp-kded-integration-module (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:09 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5notifications-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.5),
                pkg-kde-tools (>= 0.9),
@@ -32,6 +32,8 @@
 Architecture: any
 Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Telepathy integration module for the KDE Workspace
  This package contains a kded module that provides KDE Workspace
  integration for KDE Telepathy, with features such as global presence,

## ktp-kded-integration-module 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "15")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "1")
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_KDED_MODULE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 cmake_policy(SET CMP0002 OLD)
@@ -17,7 +17,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
 find_package (Qt5 REQUIRED COMPONENTS Concurrent Widgets Sql Network)
@@ -91,3 +91,4 @@
 if(ENABLE_TESTS)
     add_subdirectory(tests)
 endif()
+ki18n_install(po)

=== config/CMakeLists.txt ===
include_directories (${TELEPATHY_QT5_INCLUDE_DIR})

set(kcm_ktp_integration_module_SRCS
        column-resizer.cpp
        telepathy-kded-config.cpp
        nowplaying-lineedit.cpp
        nowplaying-listwidget.cpp
)

set(kcm_ktp_integration_module_UI
    telepathy-kded-config.ui
)

ki18n_wrap_ui(kcm_ktp_integration_module_SRCS ${kcm_ktp_integration_module_UI})

add_library(kcm_ktp_integration_module MODULE ${kcm_ktp_integration_module_SRCS})

target_link_libraries(kcm_ktp_integration_module Qt5::Widgets
                                                 Qt5::DBus
                                                 KF5::I18n
                                                 KF5::ConfigWidgets
                                                 KF5::WidgetsAddons
                                                 KF5::KIOWidgets
)


install(TARGETS kcm_ktp_integration_module
        DESTINATION ${PLUGIN_INSTALL_DIR})

install (FILES kcm_ktp_integration_module.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-kded-integration-module (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Remove unused libkf5wallet-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:58:22 +0100

ktp-kded-integration-module (17.08.1-1) experimental; urgency=medium

  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * New upstream release (17.08.1).
  * Drop soon to be deprecated fail-missing
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:15 +0200

ktp-kded-integration-module (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:40:48 +0200

ktp-kded-integration-module (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:11:44 +0200

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5idletime-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5widgetsaddons-dev,
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-kded-module.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-kded-module.git

Package: kde-telepathy-integration-module
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-integration-module-dbg (<= 15.12.1-1~~)'

=== debian/watch ===
version=4
https://download.kde.org/stable/applications/([\d.]+)/src/ktp-kded-module-([\d.]+)\.tar\.xz

## ktp-kded-integration-module 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KTP_KDED_MODULE_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
ktp-kded-integration-module (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:40 +0000

ktp-kded-integration-module (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:27 +0000

ktp-kded-integration-module (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:06 +0000

=== debian/control ===
Source: ktp-kded-integration-module
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5idletime-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-kded-module
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-kded-module

Package: kde-telepathy-integration-module
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Telepathy integration module for the KDE Workspace
 This package contains a kded module that provides KDE Workspace
 integration for KDE Telepathy, with features such as global presence,
 auto away, now playing, connection error handling and more.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-integration-module-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

#override_dh_auto_configure:
#	dh_auto_configure -- -DDBUS_SEND_PATH=/usr/bin/dbus-send
